usb: XUsb Struct Reference

| usb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XUsb Struct Reference
Usb_v5_2

The XUsb driver instance data. More...

## Data Fields
XUsb_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | USBAddress
| The USB address of the device. More...
u32 | EndPointOffset [XUSB_MAX_ENDPOINTS]
| End point Offsets. More...
XUsb_DeviceConfig | DeviceConfig
| The following structure holds the configuration for the controller. More...
XUsb_IntrHandlerFunc | HandlerFunc
| Callbacks and callback references. More...

## Detailed Description

The XUsb driver instance data.

The user is required to allocate a variable of this type for every USB device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XUsb_Config XUsb::Config

Configuration structure.

Referenced by Chapter9(), Ep0IntrHandler(), EP0ProcessInToken(), EP0ProcessOutToken(), Ep1IntrHandler(), Ep2IntrHandler(), GetConfiguration(), GetInterface(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), main(), ProcessRxCmd(), Read10(), SetClearFeature(), SetConfiguration(), SetupControlWriteStatusStage(), UsbIfIntrHandler(), Write10(), XUsb_CfgInitialize(), XUsb_DmaReset(), XUsb_DmaTransfer(), XUsb_EpConfigure(), XUsb_EpDataRecv(), XUsb_EpDataSend(), XUsb_EpDisable(), XUsb_EpEnable(), XUsb_EpIsoTransferConfigure(), XUsb_EpStall(), XUsb_EpUnstall(), XUsb_GetFrameNum(), XUsb_IntrDisable(), XUsb_IntrEnable(), XUsb_IntrHandler(), XUsb_ReadErrorCounters(), XUsb_SetDeviceAddress(), XUsb_SetTestMode(), XUsb_SieReset(), XUsb_Start(), XUsb_Stop(), XUsb_UlpiPhyReadRegister(), and XUsb_UlpiPhyWriteRegister().

XUsb_DeviceConfig XUsb::DeviceConfig

The following structure holds the configuration for the controller.

They are initialized using the XUsb_ConfigureDevice() function call.

Referenced by DmaIntrHandler(), EP0ProcessInToken(), EP0ProcessOutToken(), Ep1IntrHandler(), Ep2IntrHandler(), GetConfiguration(), GetDescriptor(), GetInterface(), GetMaxLUN(), GetStatus(), InitUsbInterface(), LoadEP0(), main(), ProcessRxCmd(), Read10(), ReadTransfer(), SetClearFeature(), SetConfiguration(), SetupControlWriteStatusStage(), UsbIfIntrHandler(), UsbKbdExample(), UsbMouseExample(), Write10(), WriteTransfer(), XUsb_CfgInitialize(), XUsb_ConfigureDevice(), XUsb_EpDataRecv(), XUsb_EpDataSend(), XUsb_EpSetHandler(), and XUsb_IntrHandler().

u32 XUsb::EndPointOffset[XUSB_MAX_ENDPOINTS]

End point Offsets.

Referenced by Ep0IntrHandler(), EP0ProcessInToken(), Ep1IntrHandler(), GetConfiguration(), GetInterface(), GetMaxLUN(), GetStatus(), SetupControlWriteStatusStage(), XUsb_CfgInitialize(), XUsb_EpConfigure(), XUsb_EpDataSend(), XUsb_EpDisable(), XUsb_EpEnable(), XUsb_EpIsoTransferConfigure(), XUsb_EpStall(), and XUsb_EpUnstall().

XUsb_IntrHandlerFunc XUsb::HandlerFunc

Callbacks and callback references.

Referenced by XUsb_CfgInitialize(), XUsb_IntrHandler(), and XUsb_IntrSetHandler().

u32 XUsb::IsReady

Device is initialized and ready.

Referenced by XUsb_CfgInitialize(), XUsb_DmaIntrSetHandler(), XUsb_EpDataRecv(), XUsb_EpDataSend(), XUsb_EpDisable(), XUsb_EpEnable(), XUsb_EpIsoTransferConfigure(), XUsb_EpStall(), XUsb_EpUnstall(), XUsb_ErrIntrSetHandler(), XUsb_GetFrameNum(), XUsb_IntrDisable(), XUsb_IntrEnable(), XUsb_IntrSetHandler(), XUsb_SetDeviceAddress(), XUsb_SetTestMode(), XUsb_Start(), XUsb_Stop(), and XUsb_UlpiIntrSetHandler().

u32 XUsb::USBAddress

The USB address of the device.